Package org.silverpeas.mobile.shared.dto.news

## Class NewsDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.BaseDTO
  - - org.silverpeas.mobile.shared.dto.news.NewsDTO

- All Implemented Interfaces:
    `Serializable`

      public class NewsDTO
      extends BaseDTO
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NewsDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getContent()` |
    `String` | `getDescription()` |
    `boolean` | `getDraft()` |
    `String` | `getEndDate()` |
    `String` | `getIdNews()` |
    `boolean` | `getImportant()` |
    `String` | `getInstanceId()` |
    `boolean` | `getManagable()` |
    `String` | `getStartDate()` |
    `String` | `getTitle()` |
    `String` | `getUpdateDate()` |
    `String` | `getVignette()` |
    `boolean` | `getVisible()` |
    `void` | `setContent​(String content)` |
    `void` | `setDescription​(String description)` |
    `void` | `setDraft​(boolean draft)` |
    `void` | `setEndDate​(String endDate)` |
    `void` | `setIdNews​(String idNews)` |
    `void` | `setImportant​(boolean important)` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setManagable​(boolean managable)` |
    `void` | `setStartDate​(String startDate)` |
    `void` | `setTitle​(String title)` |
    `void` | `setUpdateDate​(String updateDate)` |
    `void` | `setVignette​(String vignette)` |
    `void` | `setVisible​(boolean visible)` |

    - ### Methods inherited from class org.silverpeas.mobile.shared.dto.BaseDTO

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NewsDTO

          public NewsDTO()

  - ### Method Detail

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getIdNews

          public String getIdNews()

    - #### getVignette

          public String getVignette()

    - #### setVignette

          public void setVignette​(String vignette)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle​(String title)

    - #### getUpdateDate

          public String getUpdateDate()

    - #### setUpdateDate

          public void setUpdateDate​(String updateDate)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription​(String description)

    - #### setInstanceId

          public void setInstanceId​(String instanceId)

    - #### getInstanceId

          public String getInstanceId()

    - #### getManagable

          public boolean getManagable()

    - #### setManagable

          public void setManagable​(boolean managable)

    - #### getVisible

          public boolean getVisible()

    - #### setVisible

          public void setVisible​(boolean visible)

    - #### getDraft

          public boolean getDraft()

    - #### setDraft

          public void setDraft​(boolean draft)

    - #### setIdNews

          public void setIdNews​(String idNews)

    - #### getContent

          public String getContent()

    - #### setContent

          public void setContent​(String content)

    - #### getImportant

          public boolean getImportant()

    - #### setImportant

          public void setImportant​(boolean important)

    - #### setStartDate

          public void setStartDate​(String startDate)

    - #### getStartDate

          public String getStartDate()

    - #### setEndDate

          public void setEndDate​(String endDate)

    - #### getEndDate

          public String getEndDate()